Bug 668814 - firstboot and subscription-manager display "network error" on server 500
Summary: firstboot and subscription-manager display "network error" on server 500
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Chris Duryee
QA Contact: John Sefler
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2011-01-11 17:22 UTC by Chris Duryee
Modified: 2011-05-19 13:38 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-19 13:38:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Chris Duryee 2011-01-11 17:22:16 UTC
Description of problem:

During firstboot, if there is a server-side issue with subscriptions.rhn.redhat.com, the user will be presented with a "network error" message. This can lead to the user digging through network issues on their end, when in reality their only recourse is to simply wait for the issue to be fixed.


Version-Release number of selected component (if applicable):

python-rhsm-0.94.12-1.el6.noarch
subscription-manager-0.93.10-1.el6.x86_64

How reproducible:

every time


Steps to Reproduce:
1. induce a 500 error (either take down QA candlepin for a minute, or alter rhsm.conf to point to a page with a 500 error)
2. run subscription-manager or firstboot, click through as normal using any user

  
Actual results:

user gets a "network error" message

Expected results:

user gets a message saying "We are unable to process your request at this time. Please try again later" (or something to that effect).


Additional info:

There probably just needs to be a new exception put into client/python-rhsm/src/rhsm/connection.py, alongside NetworkException, and then appropriate handlers in the higher-level app code.

Comment 4 J.C. Molet 2011-01-20 16:58:34 UTC
Introducing an apache error causes a "RemoteServerException" now instead of the generic NetworkException.

Tested by changing the prefix in the rhsm.conf to a bogus value.

tested working in:
python-rhsm-0.94.15-1.git.0.b738ea1.el6.noarch
subscription-manager-0.93.13-1.git.4.769efa1.el6.x86_64
subscription-manager-firstboot-0.93.13-1.git.4.769efa1.el6.x86_64
subscription-manager-gnome-0.93.13-1.git.4.769efa1.el6.x86_64

Comment 5 errata-xmlrpc 2011-05-19 13:38:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.